Dist::Zilla::Plugin::GatherFile(3pm)

NAME
Dist::Zilla::Plugin::GatherFile - gather individual file(s)

VERSION
version 6.037

SYNOPSIS
  [GatherFile]
  filename = examples/file.txt

DESCRIPTION
This is a very, very simple FileGatherer plugin. It adds all the files referenced by the "filename" option that are found in the directory named in the "root" attribute. If the root begins with a tilde, the tilde is passed through glob() first.

Since normally every distribution will use a GatherDir plugin, you would only need to use the GatherFile plugin if the file was already being excluded (e.g. from an "exclude_match" configuration).

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  root
This is the directory in which to look for files. If not given, it defaults to the dist root -- generally, the place where your dist.ini or other configuration file is located.

  prefix
This parameter can be set to place the gathered files under a particular directory. See the description above for an example.

  filename
The name of the file to gather, relative to the "root". Can be used more than once.

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.